/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: ServiceEndpointImpl.java,v 1.1 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.description;

import javax.xml.namespace.QName;

import org.w3c.dom.DocumentFragment;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 *
 * TODO ServiceEndpointImpl :serviceName "namespace" & "prefixe" attributes are ignored in the directory.
 */
public class ServiceEndpointImpl implements javax.jbi.servicedesc.ServiceEndpoint{

	private String endpointName;
	
	private QName serviceName;
			
	public ServiceEndpointImpl(QName serviceName, String endpointName)
	{
		this.serviceName = serviceName;
		
		this.endpointName = endpointName;
		
	}
	/**
	 * TODO getInterfaces
	 */
    public QName[] getInterfaces()
    {
         throw new NoSuchMethodError();
    }
	/**
	 * TODO getAsReference
	 */
    public DocumentFragment getAsReference(QName operationName)
    {
         return null;
    }
   
	/**
	 * @see javax.jbi.servicedesc.ServiceEndpoint#getEndpointName()
	 */
	public String getEndpointName() {
		return endpointName;
	}

	/**
	 * @see javax.jbi.servicedesc.ServiceEndpoint#getServiceName()
	 */
	public QName getServiceName() {
		return serviceName;
	}
	   
    public void setEndpointName(String endpointName)
    {
        this.endpointName = endpointName;
    }
      public void setServiceName(QName serviceName)
    {
        this.serviceName = serviceName;
    }
	 public String toString()
	    {
	        return "ServiceEndpoint@"+endpointName+"->"+serviceName;
	    }
	
	 public String getName()
	 {
	     return getEndpointName();
	 }
  }
